Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class FindVmpGroupRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v3.FindVmpGroupRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:55:00+02:00",
               comments="JAXB RI v2.2.11")
    public class FindVmpGroupRequest

extends RequestType
implements Serializable

Java class for FindVmpGroupRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVmpGroupRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v3}FindByGenericPrescriptionGroupType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v3}FindByVirtualProductType"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindVmpGroupRequest()`

Method Summary
`FindByGenericPrescriptionGroupType` | `getFindByGenericPrescriptionGroup()` Gets the value of the findByGenericPrescriptionGroup property.
`FindByVirtualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
`String` | `getLang()` Gets the value of the lang property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)` Sets the value of the findByGenericPrescriptionGroup property.
`void` | `setFindByProduct(FindByVirtualProductType value)` Sets the value of the findByProduct property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindVmpGroupRequest

    public FindVmpGroupRequest()

Method Detail

### getFindByProduct

    public FindByVirtualProductType getFindByProduct()

  Gets the value of the findByProduct property.

  Returns:
    possible object is `FindByVirtualProductType`

### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)

  Sets the value of the findByProduct property.

  Parameters:
    `value` - allowed object is `FindByVirtualProductType`

### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()

  Gets the value of the findByGenericPrescriptionGroup property.

  Returns:
    possible object is `FindByGenericPrescriptionGroupType`

### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)

  Sets the value of the findByGenericPrescriptionGroup property.

  Parameters:
    `value` - allowed object is `FindByGenericPrescriptionGroupType`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.